#! /bin/sh
### BEGIN INIT INFO
# Provides:          scriptname
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start daemon at boot time
# Description:       Enable service provided by daemon.
### END INIT INFO
# -*- coding: utf-8 -*-
# Debian init.d script for Scan Service
# Copyright (c) 2012 Oki Data Corporation. All rights reserved. <@>

SCRIPTNAME=$0
PIDFILE=/var/run/okiscand.pid


killproc() {
    local i
    local p
    p=$1
    i=0
    kill -TERM $p
    while [ $i -ne 8 ]; do
        i=`expr $i + 1`
        sleep 1
        if [ -d "/proc/$p" ]; then
            echo -n ".";
        else
            return 0
        fi
    done
    echo "force kill. PID=$PID"
    kill -KILL $p
    return 1
}


case $1 in
start)
    if [ -f $PIDFILE ]; then
        echo "already started."
        exit 254
    fi
    /usr/libexec/okimfpdrv/scand &
    ;;
stop)
    if [ -f $PIDFILE ]; then
        PID=`cat $PIDFILE`
        killproc $PID
        rm -f $PIDFILE
    else
        echo "already stopped."
    fi
    ;;
reload)
    if [ -f $PIDFILE ]; then
        if [ $# -gt 1 ]; then
            T=`echo $2 | sed -r '/^[^:]+$/p;d'`
            if [ "x$2" = "x$T" ]; then
                kill -HUP `cat $PIDFILE`
            fi
        else
            kill -HUP `cat $PIDFILE` > /dev/null 2>&1
        fi
    fi
    ;;
*)
    echo "Usage: $SCRIPTNAME {start|stop|reload}" >&2
    exit 255
    ;;
esac

exit 0

